<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Bootstrap CSS -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
    <script src="https://unpkg.com/gijgo@1.9.13/js/gijgo.min.js" type="text/javascript"></script>
    <link href="https://unpkg.com/gijgo@1.9.13/css/gijgo.min.css" rel="stylesheet" type="text/css" />
    <title>Mitrais Test</title>
  </head>
  <body>
    
      <div class="container">
        <div class="row" style="padding-top: 2%; padding-bottom:3%; ">
          <div class="col-sm"> 
          </div>
          <div class="col-sm"> 
            <h1 class="header">Register Form</h1>
          </div>
          <div class="col-sm"> 
          </div>
        </div>
        <div class="alert alert-warning alert-dismissible" role="alert">
            <a href="#" class="close">&times;</a>
          Uuhhhh Nooo The Phone Number Use Indonesian Only
        </div>
        <div class="row">
          <div class="col-sm">
              <form id="register-form">
                  <div class="form-group"> 
                    <input type="text" class="form-control phone-number"  placeholder="Mobile Number">
                  </div> 
                  <div class="form-group"> 
                    <input type="text" class="form-control first-name"  placeholder="First Name" >
                  </div> 
                  <div class="form-group"> 
                    <input type="text" class="form-control last-name"  placeholder="Last Name" >
                  </div>
                  <div class="form-group"> 
                    <input type="text" class="form-control datepicker" id="tanggalan" placeholder="Tanggal Lahir">
                  </div>  
                  <div class="form-group form-check">
                   <div id="input-type" class="row">
                      <div class="col-sm-2">
                          <input class="form-check-input" type="radio" name="gender" value="male" >
                          <label class="form-check-label" for="exampleRadios1">
                            Male
                          </label>
                      </div>
                      <div class="col-sm-2">
                          <input class="form-check-input" type="radio" name="gender" value="female">
                          <label class="form-check-label" for="exampleRadios1">
                            Female
                          </label>
                   </div>
                  </div> 
                  </div>
                  <div class="form-group"> 
                    <input type="text" class="form-control email"  placeholder="Email">
                  </div>  
                  <div class="form-group"> 
                    <input type="password" class="form-control password"  placeholder="Password">
                  </div>  
                </form>
                <button type="submit" class="btn btn-primary button-submit">Submit</button>
          </div>
        </div>

        <div class="row">
          <div class="col-sm" id="login-form">
              <form>
                  <div class="form-group"> 
                    <input type="text" class="form-control" id="emails" placeholder="Email">
                  </div>  
                  <div class="form-group"> 
                    <input type="password" class="form-control" id="passwords" placeholder="Password">
                  </div>  
                </form>
                <button type="submit" class="btn btn-primary login-submit">Login</button>
          </div>
        </div>
      </div>
      
    <!-- Optional JavaScript --> 
    <script type="text/javascript"> 
    $(document).ready(function() {
      //hide alert & login Form
      $('.alert').hide()
      $('#login-form').hide()
      //Function Hide alert if click close alert
      $('.close').click(()=>{
        $('.alert').hide()
      })
      //date picker
      $('.datepicker').datepicker({
        uiLibrary: 'bootstrap4'
       }); 
      //validation phone number after press key
      $('.phone-number').keydown(function() {
    var dInput = this.value;
     console.log(dInput)
      if(this.value.length == 3){
        validate(this.value)
      }
    });
      function validate(data){
          var phoneNumber = data;
          var phoneRGEX = /^(\+62|62|08)/;
          let phoneResult = phoneNumber.match(phoneRGEX)

          console.log('message '+phoneResult);
          if(phoneResult == null){
            $(".alert").show()
            console.log('false message')
          }else{
            $(".alert").hide()
            console.log('true  message')
          }
      }
      //Get Value Radio Button
      $('.button-submit').click(()=>{
        sendData()
      })
      function sendData(){
        let data = {
            phone : $('.phone-number').val(),
            First_name : $('.first-name').val(),
            Last_name : $('.last-name').val(),
            DateBirth : $('.datepicker').val(),
            gender : $('input[name=gender]:checked').val(),
            email : $('.email').val(),
            password : $('.password').val()
          }
          console.log(data) 
          $.ajax({
                type:"POST",
                url :'http://localhost:3000/api/insert',
                data : JSON.stringify(data),
                contentType: "application/json",
                complete: (data, textStatus)=>{ 
                  console.log(textStatus)
                  if(textStatus == "success"){
                    $('#register-form').hide()              
                    $('.button-submit').hide() 
                    $('.header').html('Form Login')
                    $('#login-form').show()
                    clearAll()
                }else{
                  $('.alert').html('Something Wrong')
                  $('.alert').show() 
                }
              }
              })        
      }

      $('.login-submit').click(()=>{ 
        loginData()
      })
      function loginData(){
        let data = {
          "email"    : $('#emails').val(),
          "password" : $('#passwords').val()
        }
        $.ajax({
                type:"POST",
                url :'http://localhost:3000/api/login',
                data : JSON.stringify(data),
                contentType: "application/json",
                success: (data, textStatus)=>{ 
                  console.dir({"data": data})
                  if(textStatus == "success"){
                    $('#login-form').hide() 
                    $('.login-submit').hide() 
                    $('.header').html('Welcome : '+data.data[0].first_name +' '+data.data[0].last_name) 
                    clearAll()
                }else{
                  $('.alert').html('Something Wrong')
                  $('.alert').show() 
                }
              }
              }) 
      }
      function clearAll(){
        $('.phone-number').val(''),
        $('.first-name').val(''),
        $('.last-name').val(''),
        $('.datepicker').val(''),
        $('input[name=gender]').prop('checked', false)
        $('.email').val(''),
        $('.password').val(''),
        $('#emails').val(''),
        $('#passwords').val('')
      }
});
    </script>
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
  </body>
</html>